# SNESGetApplicationContext

Gets the user-defined context for the nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetApplicationContext(SNES snes,void **usrP)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

usrP -user context

### Keywords

SNES, nonlinear, get, application, context

### See Also

SNESSetApplicationContext()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages